package com.energy.manage.service.mappers.wavedatatransfer;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.wavedatatransfer.WaveDataTransferPo;
import com.energy.manage.service.domain.dto.wavedatatransfer.WaveDatatransferDto;
import com.energy.manage.service.domain.vo.wavedatatransfer.WaveDatatransferVo;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface WaveDataTransferMapper extends MyMapper<WaveDataTransferPo> {


    List<WaveDatatransferVo> selectByCondition(WaveDatatransferDto waveDataTransferDto);

    @Override
    int updateByPrimaryKeySelective(WaveDataTransferPo record);

    @Override
    int updateByPrimaryKey(WaveDataTransferPo record);
}
