package com.energy.manage.service.service.wavedatatransfer;

import com.energy.manage.common.po.wavedatatransfer.WaveDataTransferPo;
import com.energy.manage.service.domain.dto.wavedatatransfer.WaveDatatransferDto;
import com.energy.manage.service.domain.vo.wavedatatransfer.WaveDatatransferVo;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @author chy
 * @date 2024/11/7 16:23
 * @desc
 */
public interface WaveDatatransferServce {


    /**
     * 转换查询列表
     * @param waveDatatransferDto
     * @return
     */
    List<WaveDatatransferVo> queryDataTransfer(WaveDatatransferDto waveDatatransferDto);

    /**
     * 新增之前查重
     * @param waveDatatransferDto
     * @return
     */
    Boolean beforAddDataTransferQuery(WaveDatatransferDto waveDatatransferDto);

    /**
     * 新增数据转换
     * @param waveDatatransferPo
     * @return
     */
    int addDataTransfer(WaveDataTransferPo waveDatatransferPo);


    /**
     * 数据转换、重新转换
     * @param waveDatatransferDto
     * @return
     */
    int dataTransfer(@RequestBody WaveDatatransferDto waveDatatransferDto);

}
